/* ==================================================================
 *  checklist.js
 *  Turns defininition lists into interactive yes/no information lists.
 * ------------------------------------------------------------------
 *  owner: PCC Web Team <webteam@pcc.edu>
 *  author: Curtis Harvey <charvey@pcc.edu>
 *  created: 2005-06-10 modified: 2005-06-10
 * ------------------------------------------------------------------
 *  requires: pcclib.js
 * ================================================================== */

addEvent(window, 'load', checklistSetup);
function checklistSetup() {
	if (!DOM) return;
	var i, j, lists, list, dts, dt, dds, dd;
	lists = getElementsByClassName(document.body, 'checklist', 'dl');
	for (i=0; list = lists[i]; i++) {
		dts = list.getElementsByTagName('dt');
		for (j=0; dt = dts[j]; j++) {
			dt.innerHTML += " <br /><br /><a href=\"#\" onclick=\"checklistShow(this, 'yes');return false;\"><img src=\"yes.png\" alt=\"Yes\"></a> <a href=\"#\" onclick=\"checklistShow(this, 'no');return false;\"><img src=\"no.png\" alt=\"No\" \></a>";
		}
		dds = list.getElementsByTagName('dd');
		for (j=0; dd = dds[j]; j++) {
			dd.style.display = 'none';
		}
	}
	if (typeof fixColumns == 'function') fixColumns(); //from pcclib.js
}

function checklistShow(a, cls) {
	var o = a.parentNode;
	while (o = o.nextSibling) {
		if (!o.tagName) continue;
		if (String(o.tagName).toLowerCase() == 'dt') break;
		o.style.display = o.className.hasClass(cls) ? 'block' : 'none';
	}
	if (typeof fixColumns == 'function') fixColumns(); //from pcclib.js
}